#ifndef PENFRAME_H_INCLUDED
#define PENFRAME_H_INCLUDED

class PenFrame_v2 // stores wacom input and test image
{
	public:

	unsigned long wacomtime; // 4 byte. Time when the "touch" happened on the tablet, as returned by wacom's pkTime.
	unsigned int index; // 4 byte. Which frame is this? when the program starts, the first frame will have index=0, then 1, then 2 and so on. If nothing interesting is happening for several seconds, frames will no longer be written to disk, but the counter will keep increasing, so there might be "gaps" in the output file.
	unsigned int penpressure; // 4 byte. How hard is the wacom pen pressed against the tablet? 0=not touching, 1023=max pressure. if the program is run using a mouse, this is basically boolean
	unsigned short testimage; // 2 byte. Which test image is currently displayed?
	short penx; // 2 byte. Where on the screen is the pen / mouse pointer? Between 0 and 1279, inclusive
	short peny; // 2 byte. Between 0 and 1023, inclusive
	// =18 byte
	// but the compiler will automatically pad this data structure so the total is 20 byte

	PenFrame_v2() : wacomtime(0), index(0), penpressure(0), testimage(0), penx(0), peny(0)
	{
	}

};

#endif // PENFRAME_H_INCLUDED
