#ifndef POLAR2_H_INCLUDED
#define POLAR2_H_INCLUDED

#include <cmath>

namespace Emil
{

typedef float Scalar;

class Vector2;

class Polar2
{
public:
	Scalar l; // length=radius
	Scalar a; // angle, in radians

	Polar2();
	Polar2(Scalar L, Scalar A);
	void set(Scalar L, Scalar A);
	Polar2(const Vector2 vect);
};


inline Polar2::Polar2()
{
}

inline Polar2::Polar2(Scalar L, Scalar A)
	: l( L )
	, a( A )
{
}

inline void Polar2::set(Scalar L, Scalar A)
{
	l = L;
	a = A;
}

inline Polar2::Polar2(Vector2 vect)
{
	l = vect.getLength();
	a = vect.getAngle();
}

}

#endif // POLAR2_H_INCLUDED
